=== debian/changelog ===
slpvm (0.1.5-17) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster (oldstable):
    + Build-Depends: Drop versioned constraint on libslang2-dev.
    + slang-pvm: Drop versioned constraint on slsh in Suggests.

  [ Rafael Laboissière ]
  * d/copyright: Update Copyright years for debian/* files

 -- Rafael Laboissière <rafael@debian.org>  Mon, 05 Dec 2022 12:48:57 -0300

slpvm (0.1.5-16) unstable; urgency=medium

  * Adopt package (Closes: #748264)
  * d/control: Add Multi-Arch: same
  * d/u/metadata: New file
  * d/p/update-configure.patch: Also update autoconf/aclocal.m4

 -- Rafael Laboissière <rafael@debian.org>  Thu, 02 Dec 2021 12:28:16 -0300

slpvm (0.1.5-15) unstable; urgency=medium

  * QA upload.

  * d/control: Drop versioned constraint on jed and slrn in Suggests
  * d/p/honor-cppflags-ldflags.patch: New patch

 -- Rafael Laboissière <rafael@debian.org>  Mon, 15 Nov 2021 13:31:47 -0300

slpvm (0.1.5-14) unstable; urgency=medium

  * QA upload.

  * d/s/format: Use source format 3.0 (quilt)
  * Create Git repository at Salsa.debian.org.
    The Git repository was created with "gbp import-dscs --debsnap",
    instead of doing archeological work in the Alioth archives. The layout
    of the repository follows the recommendation in DEP-14.
  * Bump debhelper compatibility level to 13
    + d/control: Set dependency on debhelper-compat = 13
    + d/compat: Drop file
  * Switch from CDBS to debhelper
    + d/control: Drop the build-dependencies on cdbs
    + d/rules: Use the dh sequencer
  * Activate dh_autoreconf
    + d/rules: Move the generated autoconf/configure to the top directory
    + d/control: Drop useless build-dependency on autotools-dev
    + d/autoreconf: New file
    + d/p/update-configure.patch: New patch
    + d/source/options: Ignore the configure file
    + d/clean: Remove the leftover directory autoconf/autoconf/
  * d/control:
    + Change Priority from extra to optional
    + Bump Standards-Version to 4.6.0 (no changes needed)
    + Use secure URI in Homepage field
    + Add Rules-Requires-Root: no
  * d/watch: Bump version to 4 (no changes)
  * d/copyright: Convert to DEP-5 format
  * d/s/lintian-overrides: Override "non secure URI" warning
  * Install and register the documentation
    + d/slang-pvm.doc-base: New file
    + d/slang-pvm.docs: New file
    + d/rules: Do not compress the PDF file

 -- Rafael Laboissière <rafael@debian.org>  Tue, 28 Sep 2021 14:57:23 -0300

slpvm (0.1.5-13) unstable; urgency=medium

  * QA (group) upload
  * d/control:
    + Remove myself from the Uploaders list (closes: #571881)
    + Set Maintainer to Debian QA Group (orhpaned package)
  * d/rules: Set correct path for the pvm3 library

 -- Rafael Laboissiere <rafael@debian.org>  Mon, 01 Aug 2016 17:08:30 -0300

slpvm (0.1.5-12.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix FTBFS: use --with-slanglib multiarch path (Closes: #640687)

 -- Simon Paillard <spaillard@debian.org>  Sat, 17 Dec 2011 10:56:54 +0100

slpvm (0.1.5-12) unstable; urgency=low

  * debian/control:
    + Bump Standards-Version to 3.8.1 (no changes needed)
    + The package is now maintained with Git at alioth.debian.org.  Add
      Vcs-Git field and change Vcs-Browser accordingly.
    + Fix Lintian warning debhelper-but-no-misc-depends
    + Bump build dependency on debhelper to >= 7
  * debian/compat: Set compatibility level of debhelper to 7
  * debian/watch: Add PASV to the options in order to access the upstream
    FTP server

 -- Rafael Laboissiere <rafael@debian.org>  Sun, 26 Apr 2009 13:57:29 +0200

slpvm (0.1.5-11) unstable; urgency=low

  * debian/control: Build-depend on autotools-dev, such that
    config.{guess,sub} files are updated
  * debian/source.intian-overrides: Drop Lintian override

 -- Rafael Laboissiere <rafael@debian.org>  Tue, 18 Mar 2008 17:36:43 +0100

slpvm (0.1.5-10) unstable; urgency=low

  * debian/control:
    + Added Homepage field
    + Use the now official Vcs-* fields instead of the obsolete XS-Vcs-*
    + Dropped the Homepage pseudo-header from the extended description
    + Bumped Standards-Version to 3.7.3

 -- Rafael Laboissiere <rafael@debian.org>  Sat, 15 Dec 2007 23:43:57 +0100

slpvm (0.1.5-9) unstable; urgency=low

  * Oops, debian/rules was not changed in the last upload.  Uploading
    again...

 -- Rafael Laboissiere <rafael@debian.org>  Sat,  5 May 2007 11:07:09 +0200

slpvm (0.1.5-8) unstable; urgency=low

  * debian/rules: Removed regression test, which is not working on the
    autobuilders (closes: #422241)

 -- Rafael Laboissiere <rafael@debian.org>  Sat,  5 May 2007 10:32:35 +0200

slpvm (0.1.5-7) unstable; urgency=low

  * Use absolute paths for the SLANG_MODULE_PATH and SLSH_PATH environment
    variables, making the master/slave examples really work and avoiding
    the error messages that fill the hard disk (closes: #422155)

  * debian/examples: Renamed from debian/slang-pvm.examples

 -- Rafael Laboissiere <rafael@debian.org>  Fri,  4 May 2007 10:29:00 +0200

slpvm (0.1.5-6) unstable; urgency=low

  * Make regression tests really work:
    + debian/control: Added slsh to build-dependencies (closes: #422113)
    + debian/rules: Set the appropriate values for the SLANG_MODULE_PATH
      and SLSH_PATH environment variables

 -- Rafael Laboissiere <rafael@debian.org>  Thu,  3 May 2007 22:49:30 +0200

slpvm (0.1.5-5) unstable; urgency=low

  * debian/watch: Added file
  * debian/control:
    - Added space before pseudo-header Homepage, complying with the Debian
      Best Packaging Practices
    - Added XS-Vcs-Svn and XS-Vcs-Browser fields to the Source section
    - Changed the priority of the package "extra", because it depends on
      libpvm3, which has also priority "extra" (comply with Policy Section
      2.5: Priorities)
  * debian/source.lintian-overrides: Add a lintian override for
    outdated-autotools-helper-file, since we're using CDBS' autotools.mk

