=== debian/control ===
Source: slpvm
Section: interpreters
Priority: optional
Maintainer: Rafael Laboissière <rafael@debian.org>
Build-Depends: debhelper-compat (= 13),
               libslang2-dev,
               pvm-dev,
               slsh
Standards-Version: 4.6.1
Homepage: https://space.mit.edu/cxc/software/slang/modules/pvm/
Vcs-Git: https://salsa.debian.org/debian/slpvm.git
Vcs-Browser: https://salsa.debian.org/debian/slpvm
Rules-Requires-Root: no

Package: slang-pvm
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: slsh | jed | slrn
Description: PVM (Parallel Virtual Machine) interface for S-Lang
 PVM (Parallel Virtual Machine) is a software package which permits a
 heterogeneous collection computers connected by a network to be used
 as a single large parallel computer.
 .
 The S-Lang PVM module provides a S-Lang interface to PVM. By
 organizing distributed computations with S-Lang, one gains the
 advantages of programming in an interpreted language.
 .
 With this approach, one can make efficient use of all available
 computer resources: high level logic is handled in interpreted code,
 CPU intensive work is done in compiled code and PVM simplifies using
 all available CPUs.
