=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --no-parallel

export AUTOHEADER = true
execute_after_dh_autoreconf:
	mv autoconf/configure .

override_dh_auto_build:
	dh_auto_build -- RPATH=

## Removed the regresssion test until it is sure it works in the
## autobuilders (cf Bug#422241 and Bug#422155)
override_dh_auto_test:

override_dh_auto_install:
	dh_auto_install -- datarootdir=/usr/share

override_dh_compress:
	dh_compress -X.pdf
