=== debian/watch ===
version=4
opts=pasv ftp://space.mit.edu/pub/cxc/modules/pvm/pvm-([\d.]+).tar.gz
